#!/bin/bash

mkdir stats mstats hstats log sr1 sr2

EXPVERSION=1.0

for i in `ls -1 origin/*-log.txt | sed -e 's@origin/Bisphere\ Diversity-@@g' `; do
    BN=${i%%-log.txt};
    LINE=`grep 'learningRate =' "origin/Bisphere Diversity-$BN-log.txt"`
    LR=${LINE:17}
    LINE=`grep 'natural =' "origin/Bisphere Diversity-$BN-log.txt"`
    NAT=${LINE:12}
    if [ $NAT -eq 1 ]; then
        PREF="ng"
    else
        PREF="vg"
    fi
    tail -n +2 "origin/Bisphere Diversity-$BN-stats.txt" > "stats/$PREF-lr$LR"
    tail -n +2 "origin/Bisphere Diversity-$BN-mstats.txt" > "mstats/$PREF-lr$LR"
    tail -n +2 "origin/Bisphere Diversity-$BN-hstats.txt" > "hstats/$PREF-lr$LR"
    if [ -f "origin/Bisphere Diversity-$BN-sr1-0.txt" ]; then
      cat "origin/Bisphere Diversity-$BN-sr1-"*.txt > "origin/Bisphere Diversity-$BN-sr1.txt"
    fi
    if [ -f "origin/Bisphere Diversity-$BN-sr1.txt" ]; then
      cp "origin/Bisphere Diversity-$BN-sr1.txt" "sr1/$PREF-lr$LR"
    fi
    if [ -f "origin/Bisphere Diversity-$BN-sr2-0.txt" ]; then
      cat "origin/Bisphere Diversity-$BN-sr2-"*.txt > "origin/Bisphere Diversity-$BN-sr2.txt"
    fi
    if [ -f "origin/Bisphere Diversity-$BN-sr2.txt" ]; then
      cp "origin/Bisphere Diversity-$BN-sr2.txt" "sr2/$PREF-lr$LR"
    fi
    cp "origin/Bisphere Diversity-$BN-log.txt" "log/$PREF-lr$LR"
done

